<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingStart="16dp"
    android:paddingEnd="16dp"
    android:paddingBottom="8dp">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:layout_marginEnd="16dp"
        android:ellipsize="end"
        android:gravity="center_vertical"
        android:lines="1"
        android:text="更新说明"
        android:textColor="@color/text_primary"
        android:textSize="@dimen/primary_title_text_size"
        android:textStyle="bold"
        app:layout_constraintEnd_toStartOf="@+id/historyTv"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/historyTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawablePadding="4dp"
        android:includeFontPadding="false"
        android:text="历史更新"
        android:textColor="@color/text_theme"
        android:textSize="@dimen/secondary_size"
        app:drawableEndCompat="@drawable/ic_auxiliary_arrow_right_text_theme_12"
        app:layout_constraintBottom_toBottomOf="@+id/titleTv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/titleTv" />

    <TextView
        android:id="@+id/versionTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/little_secondary_size"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv"
        tools:text="版本：3.7.1" />

    <TextView
        android:id="@+id/dateTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/little_secondary_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv"
        tools:text="2022-12-07" />

    <TextView
        android:id="@+id/contentTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:lineSpacingExtra="6dp"
        android:maxLines="3"
        android:textColor="@color/text_secondary"
        android:textSize="@dimen/body_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/versionTv"
        app:layout_goneMarginTop="0dp"
        tools:text="这片银河中有名为「星神」的存在，祂们造就现实，抹消星辰，在无数「世界」中留下祂们的痕迹。你——一名特殊的旅客，将与继承「开拓」意志的同伴一起，乘坐星穹列车穿越银河，沿着某位「星神」曾经所行之途前进。你将由此探索新的文明，结识新的伙伴，在无数光怪陆离的「世界」与「世界」之间展开新的冒险。所有你想知道的，都将在群星中找到答案。那么，准备好开始这段「开拓」之旅了吗？" />

    <TextView
        android:id="@+id/expandTv"
        android:layout_width="42dp"
        android:layout_height="21dp"
        android:background="@drawable/bg_ui_surface_expand_gradient"
        android:gravity="bottom|end"
        android:includeFontPadding="false"
        android:text="全部"
        android:textColor="@color/text_theme"
        android:textSize="@dimen/body_text_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/contentTv"
        app:layout_constraintEnd_toEndOf="@+id/contentTv"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>